// Main.prg - Sample "Menu Structure" Array
#include "Menu.ch"

PROCEDURE Main()
   SET MESSAGE TO 2
   CLEAR SCREEN
   Menu123( MainMenu() )
   RETURN

FUNCTION MainMenu()
   STATIC aMenu
   IF ( aMenu == NIL )
      aMenu := MenuNew( "Main Menu",;
         {OptionNew( "Prospects",  "Maintain Prospect Files", PMenu() ),;
         OptionNew( "Classes", "Class Scheduling System", CMenu() ),;
         OptionNew( "Lookups",  "Lookup File Maintenance", LMenu() ),;             
         OptionNew( "Invoices", "Invoicing/Quoting Module", {|| IModule()}), ;             
         OptionNew( "Time/Billing", "Time & Billing Module", {|| TModule()}), ;
         OptionNew( "Quit", "Exit to DOS", {|| PrevMenu() } ) } )
   ENDIF
   RETURN ( aMenu )

STATIC FUNCTION PMenu()
   STATIC aMenu
   IF ( aMenu == NIL )
      aMenu := MenuNew( "Prospects Menu",;
         {  OptionNew( "Individuals",,       {|| PIModule() } ),;
            OptionNew( "Companies",,         {|| PCModule() } ),;
            OptionNew( "Requests for Info",, {|| PRModule() } ),;
            OptionNew( "Log of Contacts",,   {|| PLModule() } ),;
            QuitOption() } )
   ENDIF
   RETURN ( aMenu )

STATIC FUNCTION CMenu()
   STATIC aMenu
   IF ( aMenu == NIL )
      aMenu := MenuNew( "Classes Menu",;
         {  OptionNew( "Registrations",, {|| CRModule() } ),;
            OptionNew( "Offerings",,     {|| COModule() } ),;
            OptionNew( "Courses" ,,      {|| CCModule() } ),;
            QuitOption() } )
   ENDIF
   RETURN ( aMenu )

STATIC FUNCTION LMenu()
   STATIC aMenu
   IF ( aMenu == NIL )
      aMenu := MenuNew( "Lookups Menu",;
         {  OptionNew( "Employees",, {|| LEModule() } ), ;
            OptionNew( "Requests",,  {|| LRModule() } ), ;
            OptionNew( "Sources",,   {|| LSModule() } ), ;
            OptionNew( "Projects",,  {|| LPModule() } ), ;
            QuitOption() } )
   ENDIF
   RETURN ( aMenu )

STATIC FUNCTION QuitOption()
   STATIC aOption
   IF ( aOption == NIL )
      aOption := OptionNew( "Quit", "Return to Previous" + " Menu", ;
         {|| PrevMenu() } )
   ENDIF
   RETURN( aOption )

STATIC PROCEDURE PrevMenu()
   KEYBOARD CHR( 27 )
   RETURN

// EOF: Main.prg
